Page MenuHomePhabricator

Data request for Legal
Closed, ResolvedPublic

Description

Data or update on status provided to Leighanna ahead of Legal team meeting on Wednesday at 11 AM

Details

Due Date
Aug 12 2020, 6:00 PM

Event Timeline

kzimmerman set Due Date to Aug 12 2020, 6:00 PM.
LGoto assigned this task to nettrom_WMF.Aug 11 2020, 5:12 PM
LGoto triaged this task as High priority.
LGoto edited projects, added Product-Analytics (Kanban); removed Product-Analytics.

Initial analysis done, awaiting review and possibly follow-up questions from Legal.

nettrom_WMF closed this task as Resolved.Aug 17 2020, 8:37 PM